%define	major      2
%define	xmi_major  0
%define	libname    %mklibname %{name} %{major}
%define develname  %mklibname %{name} -d

Summary:	GNU Plotting Utilities
Name:		plotutils
Version:	2.6
Release:	%mkrel 23
License:	GPLv2
Group:		Graphics/Editors and Converters
Source:		https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
# All patches are adjusted to work with "autopatch -p0"
Patch0:		plotutils-2.5.1-fix-str-fmt.patch
Patch1:		plotutils-2.6-libpng-1.5.patch
Patch2:		https://gitlab.com/liguros/liguros-repo/-/raw/develop/media-libs/plotutils/files/plotutils-2.6-configure-c99.patch
Patch3:		https://gitlab.com/liguros/liguros-repo/-/raw/develop/media-libs/plotutils/files/plotutils-2.5.1-rangecheck.patch
Patch4:		https://salsa.debian.org/debian/plotutils/-/raw/master/debian/patches/20_svg_attribute_syntax#/20_svg_attribute_syntax.patch
Patch5:		https://salsa.debian.org/debian/plotutils/-/raw/master/debian/patches/30_hershey_glyphs?ref_type=heads#/30_hershey_glyphs.patch
Patch6:		plotutils-2.6-fix-bool-conflict-gcc15.patch
URL:		https://www.gnu.org/software/%{name}/plotutils.html
Requires:	ghostscript-fonts texinfo urw-fonts
BuildRequires:	autoconf
BuildRequires:	flex
BuildRequires:	pkgconfig(xaw3d)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	bison
BuildRequires:	pkgconfig(xaw7)

%description 
The GNU plotting utilities, sometimes called 'plotutils', include: 
(1) GNU libplot, a shared library for exporting 2-D vector graphics files
and for performing vector graphics animation under the X Window System.
Its output file formats include the new WebCGM format, pseudo-GIF, PNM,
Adobe Illustrator, Postscript (editable with the free 'idraw' drawing
editor), Fig (editable with the free 'xfig' drawing editor), PCL 5, HP-GL
and HP-GL/2, Tektronix, and GNU metafile format. Many Postscript, PCL, and
Hershey fonts are supported. A separate class library, 'libplotter',
provides a C++ binding to libplot's functionality. (2) Sample command-line
applications 'graph', 'plot', 'tek2plot', 'pic2plot', and 'plotfont', which
are built on top of GNU libplot. 'graph' is a powerful utility for XY
plotting, 'plot' translates GNU metafiles to other formats, 'tek2plot'
translates legacy Tektronix data, 'pic2plot' translates box-and-arrow
diagrams in the pic language, and 'plotfont' plots character maps.
(3) Command-line applications 'spline', 'double', and 'ode', which are useful
in scientific plotting. 'spline' does spline interpolation of input data
of arbitrary dimensionality. It uses cubic splines, splines under tension,
or cubic Bessel interpolation. 'ode' is an interactive program that can
integrate a user-specified system of ordinary differential equations.


%package -n %{libname}
Summary:	Main library for %{name}
Group:		Graphics/Editors and Converters
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.


%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%autosetup -p0

# Enable CXX and fix deprecated warning.
sed -e "/AC_PROG_LIBTOOL/a AC_PROG_CXX" -e "s/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g" \
    -i configure.ac

%build
autoreconf -vfi
%configure --enable-libplotter --enable-libxmi --disable-static
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/fonts/misc
cp -p fonts/pcf/*.pcf %{buildroot}%{_datadir}/fonts/misc

%files
%doc AUTHORS INSTALL.fonts KNOWN_BUGS NEWS ONEWS PROBLEMS README THANKS
%{_bindir}/*
%{_datadir}/fonts/misc/*
%{_mandir}/man1/*
%{_infodir}/*
%dir %{_datadir}/ode
%{_datadir}/ode/*
%dir %{_datadir}/tek2plot
%{_datadir}/tek2plot/*
%dir %{_datadir}/pic2plot
%{_datadir}/pic2plot/*

%files -n %{libname}
%{_libdir}/libplot.so.%{major}{,.*}
%{_libdir}/libplotter.so.%{major}{,.*}
%{_libdir}/libxmi.so.%{xmi_major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%dir %{_datadir}/libplot
%{_datadir}/libplot/*
%doc README


%changelog
* Fri May 23 2025 daviddavid <daviddavid> 2.6-23.mga10
+ Revision: 2185902
- add some patches to fix build (thanks to Aurelian R)

* Thu Mar 31 2022 umeabot <umeabot> 2.6-22.mga9
+ Revision: 1836110
- Mageia 9 Mass Rebuild

* Thu Jun 11 2020 joequant <joequant> 2.6-21.mga8
+ Revision: 1592225
- bump rel
- remove arm workaround

* Fri Feb 14 2020 umeabot <umeabot> 2.6-20.mga8
+ Revision: 1516005
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.6-19.mga7
+ Revision: 1300313
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 pterjan <pterjan> 2.6-18.mga7
+ Revision: 1240654
- Update config.* to fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Fri Feb 12 2016 umeabot <umeabot> 2.6-17.mga6
+ Revision: 958532
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 luigiwalser <luigiwalser> 2.6-16.mga6
+ Revision: 873748
- move fonts to correct directory
- remove total nonsense scriplets
- require urw-fonts for needed fonts

* Wed Oct 15 2014 umeabot <umeabot> 2.6-15.mga5
+ Revision: 750204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6-14.mga5
+ Revision: 687678
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.6-13.mga4
+ Revision: 525926
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 2.6-12.mga4
+ Revision: 434978
- rebuild for new libpng

* Sat Jan 19 2013 fwang <fwang> 2.6-11.mga3
+ Revision: 389711
- update rpm group
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ malo <malo>
- update RPM group

* Mon Feb 20 2012 kamil <kamil> 2.6-9.mga2
+ Revision: 211144
- bildrequire xaw3d-devel, not Xaw3d-devel
- stop providing .la files
- clean .spec a bit

* Sun Sep 11 2011 fwang <fwang> 2.6-8.mga2
+ Revision: 142407
- fix build with libpng 1.5
- rebuild for new libpng

* Wed Apr 13 2011 mikala <mikala> 2.6-7.mga1
+ Revision: 84075
- Don't put the .so file in the libname package

* Sat Feb 19 2011 ahmad <ahmad> 2.6-6.mga1
+ Revision: 54399
- obsolete libxmi to smooth upgrades

* Fri Feb 18 2011 mikala <mikala> 2.6-5.mga1
+ Revision: 53528
- Enable libxmi support
- Fix file list

* Sat Feb 12 2011 ahmad <ahmad> 2.6-4.mga1
+ Revision: 50729
+ rebuild (emptylog)

* Sat Feb 12 2011 ahmad <ahmad> 2.6-3.mga1
+ Revision: 50698
- drop old/unneeded scriptlets
- imported package plotutils


* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 2.6-2mdv2011.0
+ Revision: 604370
- rebuild for new zlib

  + Sandro Cazzaniga <kharec@mandriva.org>
    - Fix mix of spaces and tabs
    - Fix license
    - Fix URL and source
    - Not bump release.

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 2.6-1mdv2010.0
+ Revision: 449725
- Update to new version 2.6

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.5.1-3mdv2010.0
+ Revision: 441879
- rebuild

* Sun Mar 29 2009 Funda Wang <fwang@mandriva.org> 2.5.1-2mdv2009.1
+ Revision: 362047
- BR bison
- BR libtool
- fix str fmt

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 2.5.1-1mdv2009.0
+ Revision: 275837
- New version
- apply devel policy
- check major

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 2.5-5mdv2009.0
+ Revision: 259101
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.5-4mdv2009.0
+ Revision: 247025
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jan 21 2008 Lev Givon <lev@mandriva.org> 2.5-2mdv2008.1
+ Revision: 155641
- Build plotter devel libraries.

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.5-1mdv2008.1
+ Revision: 136426
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 2.5-1mdv2007.0
+ Revision: 125491
- buildrequires libxaw-devel
- New version 2.5

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 2.4.1-14mdv2007.0
+ Revision: 54220
- bump release
- rebuild
- Import plotutils

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 2.4.1-12mdv2007.0
- %%mkrel

* Fri Jan 20 2006 Marcel Pol <mpol@mandriva.org> 2.4.1-11mdk
- fix postinstall scripts for x86_64

